Description

When you point existing systems to foreman a special view is needed to see which hosts needs to be configured

History

#1 - 11/27/2009 11:19 AM - Martin Englund

http://github.com/pmenglund/foreman/commit/d4bc473808a27b4a917f7ef037cb3af98a81eda5

#2 - 11/30/2009 10:19 AM - Martin Englund

How do you add a constraint on a join table in active_scaffold? Currently it does this, which is simple:

:constraints  => { :hostgroup_id => nil}

#3 - 12/01/2009 06:17 AM - Ohad Levy

Martin Englund wrote:

How do you add a constraint on a join table in active_scaffold? Currently it does this, which is simple:

[...]

 try:

:constraints  => { :host => { :puppetclasses => nil} }

#4 - 12/01/2009 10:32 AM - Martin Englund

Ohad Levy wrote:

try:

:constraints  => { :host => { :puppetclasses => nil} }

 That generates a SQL query with a WHERE clause like this:

WHERE hosts_puppetclasses.puppetclass_id IS NULL

which is always going to return an empty list.    

I think I'll have to create a custom SQL query to pick out the host.id for unconfigured hosts, and then pass it to the active_scaffold constraints clause.

#5 - 12/01/2009 11:09 AM - Ohad Levy

I think that its possible with named_scope, I'll play with it later on today

#6 - 12/02/2009 08:18 AM - Ohad Levy

Ohad Levy wrote:

I think that its possible with named_scope, I'll play with it later on today
http://github.com/pmenglund/foreman/commit/d4bc473808a27b4a917f7ef037cb3af98a81eda5


 one option would be do to something like this:

#all hosts which have no classes defined:

named_scope :classless, :include => :puppetclasses, :conditions => {'hosts_puppetclasses.host_id' => nil } 

#all hosts which do not belong to a group

named_scope :groupless, :include => :hostgroup, :conditions => { 'hostgroups.id' => nil }

 than you could play with it - e.g.:

Host.classless.groupless > all hosts which are unconfigured

 Host.classless.groupless.count > count all hosts which are unconfigured in an SQL friendly way.

 Hopes this helps

#7 - 12/21/2009 11:49 AM - Ohad Levy

any update on this ticket?

thanks

#8 - 09/19/2010 03:58 PM - Ohad Levy

- Status changed from New to Rejected
